# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/MOP.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/Moose.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.2.1
%define module_name Test-Moose-MockObjectCompile
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.1
Release: alt1
Summary: Test-Moose-MockObjectCompile - a Helper module for testing compile time Moose stuff
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Z/ZA/ZAPHAR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Test::Moose::MockObjectCompile;
    use Test::More;

    my $mock = Test::Moose::MockObjectCompile->new();
    $mock->roles([qw{Some::Role Some::Other::Role}]);
    $mock->mock('method1');
    
    lives_ok {$mock->compile} 'Test that roles don't clash and required methods are there';


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/T*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- initial import by package builder

